
From: Eugene Surovegin <ebs@ebshome.net>

Put back DECLARE_PCI_UNMAP_???  and friends accidentaly removed during DMA
API reorganization.

Signed-off-by: Eugene Surovegin <ebs@ebshome.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-ppc/pci.h |    8 ++++++++
 1 files changed, 8 insertions(+)

diff -puN include/asm-ppc/pci.h~ppc32-reorg-dma-api-add-coherent-alloc-in-irq include/asm-ppc/pci.h
--- 25/include/asm-ppc/pci.h~ppc32-reorg-dma-api-add-coherent-alloc-in-irq	2004-05-31 16:44:00.987549680 -0700
+++ 25-akpm/include/asm-ppc/pci.h	2004-05-31 16:44:00.990549224 -0700
@@ -61,6 +61,14 @@ extern unsigned long pci_bus_to_phys(uns
  */
 #define PCI_DMA_BUS_IS_PHYS     (1)
 
+/* pci_unmap_{page,single} is a nop so... */
+#define DECLARE_PCI_UNMAP_ADDR(ADDR_NAME)
+#define DECLARE_PCI_UNMAP_LEN(LEN_NAME)
+#define pci_unmap_addr(PTR, ADDR_NAME)		(0)
+#define pci_unmap_addr_set(PTR, ADDR_NAME, VAL)	do { } while (0)
+#define pci_unmap_len(PTR, LEN_NAME)		(0)
+#define pci_unmap_len_set(PTR, LEN_NAME, VAL)	do { } while (0)
+
 /*
  * At present there are very few 32-bit PPC machines that can have
  * memory above the 4GB point, and we don't support that.
_
